kind: PackageManifest
apiVersion: packages.operators.coreos.com/v1
metadata:
  name: devspaces
  namespace: openshift-marketplace
  creationTimestamp: '2025-11-27T15:02:22Z'
  labels:
    catalog-namespace: openshift-marketplace
    provider: Red Hat
    operatorframework.io/arch.amd64: supported
    provider-url: ''
    operatorframework.io/arch.arm64: supported
    operatorframework.io/arch.ppc64le: supported
    catalog: devspaces-operator-osbs-stable
    operatorframework.io/arch.s390x: supported
    operatorframework.io/os.linux: supported
spec: {}
status:
  catalogSource: devspaces-operator-osbs-stable
  catalogSourceDisplayName: devspaces-operator-osbs-stable Catalog Source
  catalogSourcePublisher: grpc
  catalogSourceNamespace: openshift-marketplace
  provider:
    name: Red Hat
  packageName: devspaces
  channels:
    - name: stable
      currentCSV: devspacesoperator.v3.24.1
      currentCSVDesc:
        customresourcedefinitions:
          owned:
            - name: checlusters.org.eclipse.che
              version: v2
              kind: CheCluster
              displayName: Red Hat OpenShift Dev Spaces instance Specification
              description: |-
                The `CheCluster` custom resource allows defining and managing Red Hat OpenShift Dev Spaces server installation.
                Based on these settings, the  Operator automatically creates and maintains several ConfigMaps:
                `che`, `plugin-registry` that will contain the appropriate environment variables
                of the various components of the installation. These generated ConfigMaps must NOT be updated manually.
            - name: checlusters.org.eclipse.che
              version: v1
              kind: CheCluster
              displayName: Red Hat OpenShift Dev Spaces instance Specification
              description: The `CheCluster` custom resource allows defining and managing a Che server installation
        relatedImages:
          - 'registry.redhat.io/devspaces/devspaces-operator-bundle@sha256:69b9d5c8a2a342b223e21d7d40b179fde917e254193c709c34f9a11c24733391'
          - 'registry.redhat.io/devspaces/code-rhel9@sha256:5e44792781e3a1da49782a7992ca9979b00d4591129a7d48aa95192d3eb251ae'
          - 'registry.redhat.io/devspaces/configbump-rhel9@sha256:d630b063fc29a4b4b3d9b29e7494200d279823476effba2f6b42572de955671b'
          - 'registry.redhat.io/devspaces/server-rhel9@sha256:a323e90ffcfa66d3bcdd23567134e9f6afda3a0c14adf65aa2111bef43b00d48'
          - 'registry.redhat.io/devspaces/traefik-rhel9@sha256:ec9d6d1f296de852c08c73132f794dcaef4561b9e522c2b962bb0ba73d577283'
          - 'registry.redhat.io/devspaces/code-sshd-rhel9@sha256:30d1d63027e0dcf63a7a87bf3fce60a026d7b16a138fc940a72e4089d8350a8b'
          - 'registry.redhat.io/devspaces/dashboard-rhel9@sha256:16169774f53f9b25c32a4145b49e720ca56f6377221fd4d4f474cdc3c4cd7138'
          - 'registry.redhat.io/devspaces/devspaces-rhel9-operator@sha256:e99439735decd85169d32f77acfbe7bed7c0ff93bb395fde37bcab777b70f617'
          - 'registry.redhat.io/devspaces/pluginregistry-rhel9@sha256:59066947254d234c40631c5aa7b5d77241fa39148892762c00d619f085c355e6'
          - 'registry.redhat.io/devspaces/jetbrains-ide-rhel9@sha256:43263da79d399300f9c38519c464c51cd0052a89cb6327453066214cc124d331'
          - 'registry.redhat.io/devspaces/udi-rhel9@sha256:8f980b826039e2a36855a3d19ce163bb8762ff10a34c885ad744698878168b57'
          - 'registry.redhat.io/openshift4/ose-kube-rbac-proxy@sha256:347ebacebd550db398014fc43b8f195fbe64d0a2afdcea24d0ceaed56d535b1a'
          - 'registry.redhat.io/openshift4/ose-oauth-proxy@sha256:ef10b2ecbfa0c4ac8568af9ee64ee4a554e3fdc9089ee5683b6c2c3a74caafbe'
        annotations:
          features.operators.openshift.io/token-auth-azure: 'false'
          operators.openshift.io/valid-subscription: '["OpenShift Container Platform", "OpenShift Platform Plus"]'
          operators.operatorframework.io/builder: operator-sdk-v1.39.2
          features.operators.openshift.io/token-auth-gcp: 'false'
          operators.operatorframework.io/project_layout: go.kubebuilder.io/v4
          certified: 'true'
          repository: 'https://github.com/redhat-developer/devspaces-images/'
          features.operators.openshift.io/token-auth-aws: 'false'
          support: Red Hat
          operatorframework.io/cluster-monitoring: 'true'
          alm-examples: |-
            [
              {
                "apiVersion": "org.eclipse.che/v1",
                "kind": "CheCluster",
                "metadata": {
                  "name": "devspaces",
                  "namespace": "openshift-devspaces"
                },
                "spec": {
                  "auth": {
                    "identityProviderURL": "",
                    "oAuthClientName": "",
                    "oAuthSecret": ""
                  },
                  "database": {
                    "externalDb": false
                  },
                  "k8s": {
                    "ingressDomain": null,
                    "tlsSecretName": null
                  },
                  "metrics": {
                    "enable": true
                  },
                  "server": {
                    "workspaceNamespaceDefault": "<username>-devspaces"
                  },
                  "storage": {
                    "pvcStrategy": "common"
                  }
                }
              },
              {
                "apiVersion": "org.eclipse.che/v2",
                "kind": "CheCluster",
                "metadata": {
                  "name": "devspaces",
                  "namespace": "openshift-devspaces"
                },
                "spec": {
                  "components": {},
                  "containerRegistry": {},
                  "devEnvironments": {},
                  "gitServices": {},
                  "networking": {}
                }
              }
            ]
          capabilities: Seamless Upgrades
          features.operators.openshift.io/csi: 'false'
          features.operators.openshift.io/fips-compliant: 'false'
          features.operators.openshift.io/cnf: 'false'
          containerImage: 'registry.redhat.io/devspaces/devspaces-rhel9-operator@sha256:e99439735decd85169d32f77acfbe7bed7c0ff93bb395fde37bcab777b70f617'
          createdAt: '2025-11-19T20:39:25+00:00'
          features.operators.openshift.io/cni: 'false'
          categories: Developer Tools
          features.operators.openshift.io/proxy-aware: 'true'
          operatorframework.io/suggested-namespace: openshift-operators
          description: 'Devfile v2 and v1 development solution, 1 instance per cluster, for portable, collaborative k8s workspaces.'
          features.operators.openshift.io/disconnected: 'true'
          skipRange: '>=3.0.0 <3.24.1'
          features.operators.openshift.io/tls-profiles: 'false'
        apiservicedefinitions: {}
        keywords:
          - eclipse che
          - workspaces
          - devtools
          - developer
          - ide
          - java
          - devspaces
        displayName: Red Hat OpenShift Dev Spaces
        provider:
          name: Red Hat
        maturity: stable
        installModes:
          - type: OwnNamespace
            supported: false
          - type: SingleNamespace
            supported: false
          - type: MultiNamespace
            supported: false
          - type: AllNamespaces
            supported: true
        version: 3.24.1
        minKubeVersion: 1.19.0
        links:
          - name: Product Page
            url: 'https://developers.redhat.com/products/openshift-dev-spaces/overview/'
          - name: Documentation
            url: 'https://access.redhat.com/documentation/en-us/red_hat_openshift_dev_spaces'
          - name: Operator GitHub Repo
            url: 'https://github.com/redhat-developer/devspaces-images/'
        maintainers:
          - name: Anatolii Bazko
            email: abazko@redhat.com
        description: |
          A collaborative Kubernetes-native development solution that delivers OpenShift workspaces and in-browser IDE for rapid cloud application development.
          This operator installs the Plugin and Devfile registries, Dashboard, Gateway and the Red Hat OpenShift Dev Spaces server, and configures these services.
          OpenShift OAuth is used directly for authentication. TLS mode is on.

          ## How to Install
          Press the **Install** button, choose the channel and the upgrade strategy, and wait for the **Installed** Operator status.
          When the operator is installed, create a new Custom Resource (CR) of Kind CheCluster (click the **Create New** button).
          The CR spec contains all defaults. You can start using Red Hat OpenShift Dev Spaces when the CR status is set to **Available**, and you see a URL to Red Hat OpenShift Dev Spaces.

          ## Defaults
          By default, the operator deploys Red Hat OpenShift Dev Spaces with:
          * 10Gi storage
          * Auto-generated passwords
          * Bundled Plugin and Devfile registries

          Use `oc edit checluster/devspaces -n openshift-devspaces` to update Red Hat OpenShift Dev Spaces default installation options.
          See more in the [Installation guide](https://docs.redhat.com/en/documentation/red_hat_openshift_dev_spaces/3.24/html/administration_guide/configuring-devspaces).

          ### Certificates
          Operator uses a default router certificate to secure Red Hat OpenShift Dev Spaces routes.
          Follow the [guide](https://docs.redhat.com/en/documentation/red_hat_openshift_dev_spaces/3.24/html/administration_guide/configuring-devspaces#importing-untrusted-tls-certificates)
          to import certificates into Red Hat OpenShift Dev Spaces.
      entries:
        - name: devspacesoperator.v3.24.1
          version: 3.24.1
        - name: devspacesoperator.v3.24.0
          version: 3.24.0
        - name: devspacesoperator.v3.23.1
          version: 3.23.1
        - name: devspacesoperator.v3.23.0
          version: 3.23.0
        - name: devspacesoperator.v3.22.1
          version: 3.22.1
        - name: devspacesoperator.v3.22.0
          version: 3.22.0
        - name: devspacesoperator.v3.21.0
          version: 3.21.0
        - name: devspacesoperator.v3.20.0
          version: 3.20.0
        - name: devspacesoperator.v3.19.0
          version: 3.19.0
        - name: devspacesoperator.v3.18.1-0.1739475915.p
          version: 3.18.1+0.1739475915.p
        - name: devspacesoperator.v3.18.1
          version: 3.18.1
        - name: devspacesoperator.v3.18.0
          version: 3.18.0
        - name: devspacesoperator.v3.17.0
          version: 3.17.0
        - name: devspacesoperator.v3.16.1
          version: 3.16.1
        - name: devspacesoperator.v3.16.0
          version: 3.16.0
        - name: devspacesoperator.v3.15.0
          version: 3.15.0
        - name: devspacesoperator.v3.14.0
          version: 3.14.0
        - name: devspacesoperator.v3.13.0
          version: 3.13.0
        - name: devspacesoperator.v3.12.0
          version: 3.12.0
        - name: devspacesoperator.v3.12.0-0.1712003563.p
          version: 3.12.0+0.1712003563.p
        - name: devspacesoperator.v3.11.0
          version: 3.11.0
        - name: devspacesoperator.v3.10.1
          version: 3.10.1
        - name: devspacesoperator.v3.10.0
          version: 3.10.0
        - name: devspacesoperator.v3.9.1
          version: 3.9.1
        - name: devspacesoperator.v3.9.0
          version: 3.9.0
        - name: devspacesoperator.v3.8.0
          version: 3.8.0
        - name: devspacesoperator.v3.7.2
          version: 3.7.2
        - name: devspacesoperator.v3.7.1
          version: 3.7.1
        - name: devspacesoperator.v3.7.1-0.1691407091.p
          version: 3.7.1+0.1691407091.p
        - name: devspacesoperator.v3.7.1-0.1691548593.p
          version: 3.7.1+0.1691548593.p
        - name: devspacesoperator.v3.7.0
          version: 3.7.0
        - name: devspacesoperator.v3.6.0
          version: 3.6.0
        - name: devspacesoperator.v3.6.0-0.1685320856.p
          version: 3.6.0+0.1685320856.p
        - name: devspacesoperator.v3.6.0-0.1685322634.p
          version: 3.6.0+0.1685322634.p
        - name: devspacesoperator.v3.5.0
          version: 3.5.0
        - name: devspacesoperator.v3.4.0-0.1675914643.p
          version: 3.4.0+0.1675914643.p
        - name: devspacesoperator.v3.4.0
          version: 3.4.0
        - name: devspacesoperator.v3.3.0-0.1673528130.p
          version: 3.3.0+0.1673528130.p
        - name: devspacesoperator.v3.3.0
          version: 3.3.0
  defaultChannel: stable
